Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class BasicConnectionFactory

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.BasicConnectionFactory

All Implemented Interfaces:
  Serializable, ConnectionFactory

Direct Known Subclasses:
  ConnectionFactory

    public class BasicConnectionFactory

extends AdministeredObject
implements ConnectionFactory

A `BasicConnectionFactory` encapsulates Sun MQ specific configuration information for Sun MQ `ConnectionFactory` objects and is used to create Connections with a Sun MQ Java Message Service (JMS) provider.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.ConnectionConfiguration`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`` | `BasicConnectionFactory()` Constructs a BasicConnectionFactory with the default configuration.
`protected` | `BasicConnectionFactory(String defaultsBase)` Constructs a BasicConnectionFactory with the specified configuration.

Method Summary
`Connection` | `createConnection()` Creates a Connection with the default user identity.
`Connection` | `createConnection(String username, String password)` Creates a Connection with a specified user identity.
`String` | `getConnectionType()` Returns the type of connections created by this `BasicConnectionFactory`.
`void` | `setConnectionType(String type)` Sets the type of connections created by this `BasicConnectionFactory`.
`void` | `setDefaultConfiguration()` Sets the minimum `BasicConnectionFactory` configuration defaults required to connect to the Sun MQ Message Service.
`String` | `toString()` Returns a pretty printed version of the provider specific information for this ConnectionFactory object.

Methods inherited from class com.sun.messaging.AdministeredObject
`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicConnectionFactory

    public BasicConnectionFactory()

  Constructs a BasicConnectionFactory with the default configuration.

### BasicConnectionFactory

    protected BasicConnectionFactory(String defaultsBase)

  Constructs a BasicConnectionFactory with the specified configuration.

Method Detail

### createConnection

    public Connection createConnection()
                                throws JMSException

  Creates a Connection with the default user identity. The default user identity is defined by the `ConnectionFactory` properties `imqDefaultUsername` and `imqDefaultPassword`

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Returns:
    a newly created Connection.
  Throws:
    `JMSException` - if a JMS error occurs.
  See Also:
    `ConnectionConfiguration.imqDefaultUsername`, `ConnectionConfiguration.imqDefaultPassword`

### createConnection

    public Connection createConnection(String username,
                                       String password)
                                throws JMSException

  Creates a Connection with a specified user identity.

  Specified by:
    `createConnection` in interface `ConnectionFactory`
  Parameters:
    `username` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created connection.
  Throws:
    `JMSException` - if a JMS error occurs.

### setConnectionType

    public final void setConnectionType(String type)

  Sets the type of connections created by this `BasicConnectionFactory`.

  Parameters:
    `type` - The type of connections created by this `BasicConnectionFactory`.

### getConnectionType

    public final String getConnectionType()

  Returns the type of connections created by this `BasicConnectionFactory`.

  Returns:
    The type of connections created by this `BasicConnectionFactory`.

### toString

    public String toString()

  Returns a pretty printed version of the provider specific information for this ConnectionFactory object.

  Overrides:
    `toString` in class `AdministeredObject`
  Returns:
    the pretty printed string.

### setDefaultConfiguration

    public void setDefaultConfiguration()

  Sets the minimum `BasicConnectionFactory` configuration defaults required to connect to the Sun MQ Message Service.

  Specified by:
    `setDefaultConfiguration` in class `AdministeredObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.